summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2018-06-14 09:55:55 +0200
committerRemi Collet <remi@remirepo.net>2018-06-14 09:55:55 +0200
commit26a38b600cdee6878d0187a25b60413c67fcc578 (patch)
treee8e74495126acb89b26324ba181fdaf1ffc48786
parent0ea4bace80a35c8b555dc829c1f84b02f3821019 (diff)
Wizard: add 7.3.0alpha1
-rw-r--r--wizard/index.php23
1 files changed, 20 insertions, 3 deletions
diff --git a/wizard/index.php b/wizard/index.php
index afc130d..ff2d015 100644
--- a/wizard/index.php
+++ b/wizard/index.php
@@ -9,7 +9,7 @@
</head>
<?php
define('FC_EOL', 25);
-define('FC_DEV', 28);
+define('FC_DEV', 29);
define('EL_EOL', 5);
define('EL_DEV', 8);
define('COUNTER', __DIR__ . "/counter.txt");
@@ -34,6 +34,16 @@ $osmin = [
'Fedora 26' => '5.6',
'Fedora 25' => '5.4',
];
+$osmax = [
+ 'RHEL 7' => '7.3',
+ 'RHEL 6' => '7.3',
+ 'CentOS 7' => '7.3',
+ 'CentOS 6' => '7.3',
+ 'Fedora 28' => '7.3',
+ 'Fedora 27' => '7.3',
+ 'Fedora 26' => '7.2',
+ 'Fedora 25' => '7.2',
+];
$osname = [
'RHEL 7' => 'RHEL-7',
'RHEL 6' => 'RHEL-6 (maintained until March 2020)',
@@ -54,6 +64,7 @@ $types = [
'scl' => 'Multiple versions simultaneously',
];
$phpvers = [
+ '7.3' => false,
'7.2' => 'remi-php72',
'7.1' => 'remi-php71',
'7.0' => 'remi-php70',
@@ -62,6 +73,7 @@ $phpvers = [
'5.4' => 'remi-php54',
];
$phpname = [
+ '7.3' => '7.3.0alpha1 (Please DO NOT use this version in production, it is an early test version.)',
'7.2' => '7.2.6 (active support until Nov 2019)',
'7.1' => '7.1.18 (active support until Dec 2018)',
'7.0' => '7.0.30 (security only support until Dec 2018)',
@@ -182,7 +194,10 @@ if ($php && $os && $type && !$err) {
printf("<li>Packages have the <b>same name</b> than the base repository, ie php-*</li><br />");
- if (!$phpvers[$php]) {
+ if (version_compare($php, $osmax[$os], '>')) {
+ printf("<li>Sorry, but PHP version greater than <b>%s</b> are not available for <b>%s</b>.</li><br />", $osmax[$os], $os);
+
+ } else if (!$phpvers[$php]) {
printf("<li>Sorry, but PHP version <b>%s</b> are not yet available for <b>%s</b> as single version, try multiple versions.</li><br />", $php, $os);
} else if (version_compare($php, $osvers[$os], '<')) {
@@ -236,7 +251,9 @@ if ($php && $os && $type && !$err) {
printf("<li>You want <b>multiple versions </b> which means using a <a href='https://www.softwarecollections.org/en/'>Software Collection</a></li><br />");
$scl='php'.str_replace('.', '', $php);
- if (version_compare($php, $osmin[$os], '<')) {
+ if (version_compare($php, $osmax[$os], '>')) {
+ printf("<li>Sorry, but PHP version greater than <b>%s</b> are not available for <b>%s</b>.</li><br />", $osmax[$os], $os);
+ } else if (version_compare($php, $osmin[$os], '<')) {
printf("<li>Sorry, but PHP version older than <b>%s</b> are not available for <b>%s</b>.</li><br />", $osmin[$os], $os);
} else {
if (!$phpvers[$php]) {